Fingerprint_Card

Loading...
Searching...
No Matches
Zwipe.Build.Tools.IO.UnixFileSystemInfo Class Referencesealed
Inheritance diagram for Zwipe.Build.Tools.IO.UnixFileSystemInfo:
[legend]
Collaboration diagram for Zwipe.Build.Tools.IO.UnixFileSystemInfo:
[legend]

## Classes
struct | Stat

## Package Functions
| UnixFileSystemInfo (string fileName)

## Private Member Functions
static int | sys_start (string fileName, out Stat stat)

## Static Private Member Functions
static string | GetLibraryDirectory ()
static string | GetLibraryName (string name)
static void | CopyLibrary (string name)
static Stat | CallStat (string fileName)

## Static Private Attributes
const string | DllName = "stat"

## Additional Inherited Members
Static Public Member Functions inherited from Zwipe.Build.Tools.IO.FileSystemInfo
static FileSystemInfo | Create (string fileName)
Properties inherited from Zwipe.Build.Tools.IO.FileSystemInfo
string | FullName`[get, protected set]`
long | Attributes`[get, protected set]`
long | Length`[get, protected set]`
DateTime | LastWriteTime`[get, protected set]`

## Constructor & Destructor Documentation

## ◆ UnixFileSystemInfo()

Zwipe.Build.Tools.IO.UnixFileSystemInfo.UnixFileSystemInfo | ( | string | fileName | ) |
| package

Here is the call graph for this function:

## Member Function Documentation

## ◆ CallStat()

Stat Zwipe.Build.Tools.IO.UnixFileSystemInfo.CallStat | ( | string | fileName | ) |
| static private

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ CopyLibrary()

void Zwipe.Build.Tools.IO.UnixFileSystemInfo.CopyLibrary | ( | string | name | ) |
| static private

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ GetLibraryDirectory()

string Zwipe.Build.Tools.IO.UnixFileSystemInfo.GetLibraryDirectory | ( |  | ) |
| static private

Here is the caller graph for this function:

## ◆ GetLibraryName()

string Zwipe.Build.Tools.IO.UnixFileSystemInfo.GetLibraryName | ( | string | name | ) |
| static private

Here is the call graph for this function:

## ◆ sys_start()

int Zwipe.Build.Tools.IO.UnixFileSystemInfo.sys_start | ( | string | fileName,
|  | out Stat | stat )
| private

Here is the caller graph for this function:

## Member Data Documentation

## ◆ DllName

const string Zwipe.Build.Tools.IO.UnixFileSystemInfo.DllName = "stat"
| static private

The documentation for this class was generated from the following file:

- Zwipe.Build.Tools/IO/UnixFileSystemInfo.cs